Bug 694286

Summary: [6.2 FEAT] Update nss-softokn-devel to at Least 3.12.9-2
Product: Red Hat Enterprise Linux 6 Reporter: IBM Bug Proxy <bugproxy>
Component: nss-softoknAssignee: Elio Maldonado Batiz <emaldona>
Status: CLOSED CURRENTRELEASE QA Contact: BaseOS QE Security Team <qe-baseos-security>
Severity: medium Docs Contact:
Priority: medium    
Version: 6.2CC: jjarvis, jtakahas, sbest
Target Milestone: betaKeywords: FutureFeature, Rebase
Target Release: 6.2   
Hardware: All   
OS: All   
Whiteboard:
Fixed In Version: nss-softokn-3.12.9-3.el6 Doc Type: Rebase: Bug Fixes and Enhancements
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2011-05-02 23:08:25 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 659725, 638197    

Description IBM Bug Proxy 2011-04-06 17:02:59 EDT
1. Feature Overview:
Feature Id: [71231]
a. Name of Feature: [6.2 FEAT] Update nss-softokn-devel to at Least 3.12.9-2
b. Feature Description
Please update nss-softokn-devel to at least 3.12.9-2:
http://www.mozilla.org/projects/security/pki/nss/

2. Feature Details:
Sponsor: LTC Security
Architectures:  IA_64, ppc64, x86, x86_64, zSeries - 31/32 compat, zSeries - 31/32 Native, zSeries -
64 native, 
Arch Specificity: purely common code
Affects Kernel Modules: No
Delivery Mechanism: Direct from Community
Category: other
Request Type: Package - Feature from Upstream
d. Upstream Acceptance: Submitted
Sponsor Priority P2
f. Severity: normal
IBM Confidential: No
Code Contribution: IBM code
g. Component Version Target: ---

3. Business Case
This feature is necessary to port IBM's Software Trusted Platform Module from OpenSSL to NSS so that
integration code for it can be included GPL-licensed QEMU.  The vTPM is a necessary component to
establish end-to-end integrity for QEMU guests via Trusted Computing.

4. Primary contact at Red Hat:
John Jarvis, jjarvis@redhat.com

5. Primary contacts at Partner:
Project Management Contact:
Stephanie A. Glass, sglass@us.ibm.com

Technical contact(s):
George C. Wilson, gcwilson@us.ibm.com
Comment 2 RHEL Product and Program Management 2011-04-06 17:44:21 EDT
Since RHEL 6.1 External Beta has begun, and this bug remains
unresolved, it has been rejected as it is not proposed as
exception or blocker.

Red Hat invites you to ask your support representative to
propose this request, if appropriate and relevant, in the
next release of Red Hat Enterprise Linux.
Comment 4 IBM Bug Proxy 2011-10-17 15:51:20 EDT
------- Comment From gcwilson@us.ibm.com 2011-10-17 15:41 EDT-------
Package was verified for the vTPM even though it was present in the previous release.  Moving to verified on our side.